O android.support.v7.app importação não pode ser resolvido

? peter_f @ | Original: StackOverFlow
---

após a atualização para o Eclipse Kepler, eu não tenho sido capaz de adicionar o AppCompat biblioteca de suporte . Eu segui este http://developer.android.com/tools/support-library/setup.html#libs-with-res e eu ainda obter o erro O android.support.v7.app importação não pode ser resolvido no seguintes linhas:

import android.support.v7.app.ActionBar;
import android.support.v7.app.ActionBarActivity;

Eu adicionei o projeto AppCompat, incluido os frascos para o Caminho de Construção, selecionou -los na guia Ordem e Exportação, e adicionou o projeto de biblioteca no projeto principal.

O android.support.v7.app importação não pode ser resolvido

O android.support.v7.app importação não pode ser resolvido

Copiei a biblioteca v4 para a pasta libs no projeto principal, mas eu não sei mais o que fazer ou cheque. Alguém tem alguma sugestão ??

Thank you!

---

Top 5 Responder

1Gueste @

Eu sou novo para o Eclipse, mas eu tinha o mesmo erro e de alguma forma fixa-lo . Eu tinha dois projetos, um deles se fixou após o reinício ou algo assim, o primeiro que eu corrigido adicionando volta as importações que de alguma forma eu ou eclipse excluídos. minas importações são:

import android.content.res.Resources;
import android.graphics.Typeface;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.ImageView;
import android.widget.TextView;

São adicionar qualquer que você ainda precisa . Espero que ajude

2Joey Garcia @

Peter, eu tive o mesmo problema e é assim que eu fixa-lo no Android Studio.

1) o botão direito do mouse clique no Projeto de Pane janela do projeto e selecione Configurações do Módulo Abertas

2) No lado esquerdo, selecione aplicativo, em seguida, selecione a guia Dependências no canto superior direito

3) Clique no botão + no canto inferior esquerdo, selecione Biblioteca de Dependência

4) Ou digite ou selecione AppCompat - v7 ( com.android.support:appcompat-v7:20.0.0 )

5) Clique em OK na janela Escolher Biblioteca Dependency

6) Em seguida, clique em OK, ou aplicar em que a janela estrutura do projeto.

Agora, como deve ser capaz de puxar a classe que falta .

3Matheus Santos @

Depois de adicionar a seus appcompat_v7 dependências, certifique-se de que a pasta libs do seu projeto estão vazios. Por padrão, um -support- v4.jar android é criado quando você definir o seu projeto, para que isso irá causar conflitos quando você declara appcompat_v7 biblioteca como sua dependência.

Então, a primeira coisa que você precisa fazer é verificar a pasta .../My_Project/libs e sem medo excluir o arquivo android-support-v4.jar .

Em seguida, adicione a biblioteca appcompat_v7 como uma dependência do seu projeto: Para fazer isso, se você estiver usando Eclipse:

Right click in your project folder, located in the Navigator. Click in properties, in the final of the list. In the Properties window, select the Android option (left menu). In the box Library, add your new reference.

Se você estiver usando o Android Studio, você pode seguir os passos mencionados no comentário do Joey Garcia.

Apoio ao Setup Biblioteca -  https://developer.android.com/tools/support-library/setup.html

Deixe-me saber se ele te ajudou . Boa Sorte!